- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
AL::Math::Displacement Struct Reference

Struct composed of a Position3D and a Quaternion More...

`#include <aldisplacement.h>`

## Public Member Functions
| Displacement ()
| Create a Displacement initialized with default values More...
| Displacement (const Position3D &pos3d, const Quaternion &quat=Quaternion())
| Create a Displacement with the given Position3D and Quaternion More...
Displacement & | operator*= (const Displacement &pDisp)
| Defining composition of Displacement with * sign More...
Displacement | operator* (const Displacement &pDisp)
| Define the binary operation of a composition of Displacements. More...
bool | isNear (const Displacement &pDisp2, const float pEpsilon=0.0001f) const
| Check if the current Displacement is Near the one given in argument. More...

## Public Attributes
Position3D | P
| Translation of the Displacement More...
Quaternion | Q
| Rotation of the Displacement More...

## Detailed Description

Struct composed of a Position3D and a Quaternion

Definition at line 22 of file aldisplacement.h.

## Constructor & Destructor Documentation

AL::Math::Displacement::Displacement | ( |  | ) |
| explicit

Create a Displacement initialized with default values

AL::Math::Displacement::Displacement | ( | const Position3D & | pos3d,
|  | const Quaternion & | quat = `Quaternion()`
| ) |  |

Create a Displacement with the given Position3D and Quaternion

Parameters

  pos3d | the pose of the created Displacement
  quat | the rotation of the created Displacement - default: identity

## Member Function Documentation

bool AL::Math::Displacement::isNear | ( | const Displacement & | pDisp2,
|  | const float | pEpsilon = `0.0001f`
| ) |  | const

Check if the current Displacement is Near the one given in argument.

Parameters

  pDisp2 | the second Displacement
  pEpsilon | an optional epsilon distance

Returns
  true if the distance between the two Displacement is less than pEpsilon

Displacement AL::Math::Displacement::operator* | ( | const Displacement & | pDisp | ) |

Define the binary operation of a composition of Displacements.

Parameters

  pDisp | second operand of the composition

Returns
  The resulting Displacement

Displacement& AL::Math::Displacement::operator*= | ( | const Displacement & | pDisp | ) |

Defining composition of Displacement with * sign

Parameters

  pDisp | the displacement that is composed with the current displacement

Returns
  The composed Displacement

## Member Data Documentation

Position3D AL::Math::Displacement::P

Translation of the Displacement

Definition at line 25 of file aldisplacement.h.

Quaternion AL::Math::Displacement::Q

Rotation of the Displacement

Definition at line 27 of file aldisplacement.h.

The documentation for this struct was generated from the following file:

- /home/opennao/work/release-2.8/lib/libalmath/almath/types/aldisplacement.h